
class FrameManager:
    def __init__(self):
        self.total_frame = 0
        self.current_frame_in_sec = 0
        self.total_time_ms = 0


    def update_frame_count(self):
        # 1frame = 50ms (20fps)
        from main import MAX_FPS
        
        if self.current_frame_in_sec >= MAX_FPS:
            self.current_frame_in_sec = 1
        else:
            self.current_frame_in_sec += 1

        TOTAL_FRAME_MAX = 20 * 3600
        if self.total_frame >= TOTAL_FRAME_MAX:
            self.total_frame = 1
        else:
            self.total_frame += 1
        self.total_time_ms = 1000 // MAX_FPS * self.total_frame


    def reset_frame_count(self):
        self.total_frame = 0
        self.current_frame_in_sec = 0
        self.total_time_ms = 0
